Subject: Re: B20.1 bug: find is acting funny
From: [email-masked] (Corinna Vinschen)

5 Jan 1999 05:27:30 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], [email-masked]

Hugh Winkler wrote:
> 
> In b20.1 (bash 2.02.1(2), find 4.1) if I do
>     find ./ -name *.java
> 
> and there are some .java files in the current directory, find emits
> 
>         find: paths must precede expression
>         Usage: find [path...] [expression]
> 
> but if there are no .java files in the current directory, find behaves as
> expected.

If you use wildcards, which should be expanded by find, _not_ by the shell,
but by find, you should quote them:

	find . -name '*.java' -print

> find was working properly in 20.0 I'm pretty sure.

I bet, only with quoted wildcards, too.

Regards,
Corinna

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".